/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "NETSIM", "index.html", [
    [ "Software", "index.html#autotoc_md1", null ],
    [ "Hardware", "index.html#autotoc_md2", null ],
    [ "Building NETSIM", "md__root_netsim_src_doc_markdown_page05_building.html", [
      [ "Install from deb package on Debian / Ubuntu", "md__root_netsim_src_doc_markdown_page05_building.html#autotoc_md4", null ],
      [ "Build from source / Other distributions & releases", "md__root_netsim_src_doc_markdown_page05_building.html#autotoc_md5", null ]
    ] ],
    [ "Configuration", "md__root_netsim_src_doc_markdown_page06_configuration.html", [
      [ "systemd services", "md__root_netsim_src_doc_markdown_page06_configuration.html#autotoc_md7", [
        [ "jackd.service", "md__root_netsim_src_doc_markdown_page06_configuration.html#autotoc_md8", null ],
        [ "configuring service files", "md__root_netsim_src_doc_markdown_page06_configuration.html#autotoc_md9", null ]
      ] ],
      [ "process configuration", "md__root_netsim_src_doc_markdown_page06_configuration.html#autotoc_md10", null ]
    ] ],
    [ "Architecture", "md__root_netsim_src_doc_markdown_page10_architecture.html", [
      [ "Components", "md__root_netsim_src_doc_markdown_page10_architecture.html#autotoc_md12", [
        [ "Audioserver", "md__root_netsim_src_doc_markdown_page10_architecture.html#autotoc_md13", null ],
        [ "Virtual Ocean Environments", "md__root_netsim_src_doc_markdown_page10_architecture.html#autotoc_md14", null ],
        [ "Vehicle Simulation Computer(s)", "md__root_netsim_src_doc_markdown_page10_architecture.html#autotoc_md15", null ]
      ] ],
      [ "Goby3 Detailed Publish/Subscribe Interfaces", "md__root_netsim_src_doc_markdown_page10_architecture.html#autotoc_md16", null ]
    ] ],
    [ "netsim_core", "md__root_netsim_src_doc_markdown_page11_netsim_core.html", [
      [ "Configuration", "md__root_netsim_src_doc_markdown_page11_netsim_core.html#autotoc_md18", null ],
      [ "Threads", "md__root_netsim_src_doc_markdown_page11_netsim_core.html#autotoc_md19", [
        [ "JackThread", "md__root_netsim_src_doc_markdown_page11_netsim_core.html#autotoc_md20", [
          [ "Configuration", "md__root_netsim_src_doc_markdown_page11_netsim_core.html#autotoc_md21", null ]
        ] ],
        [ "DetectorThread", "md__root_netsim_src_doc_markdown_page11_netsim_core.html#autotoc_md22", [
          [ "Configuration", "md__root_netsim_src_doc_markdown_page11_netsim_core.html#autotoc_md23", null ]
        ] ],
        [ "ProcessorThreadBase", "md__root_netsim_src_doc_markdown_page11_netsim_core.html#autotoc_md24", null ],
        [ "LoggerThread", "md__root_netsim_src_doc_markdown_page11_netsim_core.html#autotoc_md25", [
          [ "Configuration", "md__root_netsim_src_doc_markdown_page11_netsim_core.html#autotoc_md26", null ]
        ] ]
      ] ],
      [ "Data flow example", "md__root_netsim_src_doc_markdown_page11_netsim_core.html#autotoc_md27", null ]
    ] ],
    [ "netsim_manager", "md__root_netsim_src_doc_markdown_page12_netsim_manager.html", [
      [ "Configuration", "md__root_netsim_src_doc_markdown_page12_netsim_manager.html#autotoc_md29", null ]
    ] ],
    [ "Vehicle Simulator Connections", "md__root_netsim_src_doc_markdown_page15_vehicle_sim_connections.html", [
      [ "netsim_manager / simulated vehicle interface", "md__root_netsim_src_doc_markdown_page15_vehicle_sim_connections.html#autotoc_md31", [
        [ "Wire protocol", "md__root_netsim_src_doc_markdown_page15_vehicle_sim_connections.html#autotoc_md32", null ],
        [ "Request", "md__root_netsim_src_doc_markdown_page15_vehicle_sim_connections.html#autotoc_md33", null ],
        [ "Response", "md__root_netsim_src_doc_markdown_page15_vehicle_sim_connections.html#autotoc_md34", null ]
      ] ]
    ] ],
    [ "Goby Liaison Viewer", "md__root_netsim_src_doc_markdown_page20_liaison.html", [
      [ "Audio Timeseries / Spectrogram", "md__root_netsim_src_doc_markdown_page20_liaison.html#autotoc_md36", null ],
      [ "TL / Statistics", "md__root_netsim_src_doc_markdown_page20_liaison.html#autotoc_md37", null ]
    ] ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"classnetsim_1_1_s_v_p_1_1protobuf_1_1_e_o_f_internal_wave___e_o_f_amplitude_factor.html#a021e18bd9ee9ae9ff2bf19cd631bba9e",
"classnetsim_1_1bellhop_1_1protobuf_1_1_environment.html#ae93ff6d43807efb73f52429650e22d4e",
"classnetsim_1_1bellhop_1_1protobuf_1_1_environment___medium.html#abd34e6ac9898f25c3f4f4358b058d262",
"classnetsim_1_1bellhop_1_1protobuf_1_1_environment___receivers___receiver_position.html#acc26cf0173f42f306827683af592d341",
"classnetsim_1_1bellhop_1_1protobuf_1_1_environment___water_column___s_s_p_sample.html#afadcd0eb1e3dec552b7d24a4855b74c3",
"classnetsim_1_1protobuf_1_1i_bellhop_request.html#a7e4af45971daa47dd7fa2b47ec428afa",
"environment_8pb_8h.html#a225b921706c653df290c850d863cc6ac",
"md__root_netsim_src_doc_markdown_page10_architecture.html#autotoc_md15"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';